export const RESOURCE_BROWSER_ROOT_PATH = '/apps/browser';
export const ARRAY_SUFFIX = '[]';
export const PROPERTY_TYPE = {
  BINARY: 'Binary',
  BOOLEAN: 'Boolean',
  DATE: 'Date',
  DECIMAL: 'Decimal',
  DOUBLE: 'Double',
  LONG: 'Long',
  NAME: 'Name',
  PATH: 'Path',
  REFERENCE: 'Reference',
  STRING: 'String',
  URI: 'URI',
  WEAK_REFERENCE: 'WeakReference'
};
export const SAVE_OPERATIONS = {
  COPY_RESOURCE: 'copyResource',
  CREATE_RESOURCE: 'createResource',
  MOVE_RESOURCE: 'moveResource',
  REMOVE_RESOURCE: 'removeResource',
  REMOVE_PROPERTY: 'removeProperty',
  SET_PROPERTY: 'setProperty'
};
export const TREE_SELECTED_RESOURCE_CLASS = 'tree-selected';